package com.tdws.pandora.exceptions;

public class PandoraUtils {

	public static String getErrorResponse(Throwable th) {
		
		StringBuilder sb = new StringBuilder();
		sb.append("<SOAP-ENV:Envelope");
		sb.append(" xmlns:SOAP-ENV=\"http://schemas.xmlsoap.org/soap/envelope/\"");
		sb.append(" xmlns:xsi=\"http://www.w3.org/1999/XMLSchema-instance\"");
		sb.append("  xmlns:xsd=\"http://www.w3.org/1999/XMLSchema\">");
		sb.append("   <SOAP-ENV:Body>");
		sb.append("     <SOAP-ENV:Fault>");
		sb.append("     <faultcode >SOAP-ENV:Client</faultcode>");
		sb.append("     <faultstring > ");
		sb.append(      th.getMessage() );    
		sb.append("        </faultstring>");
		sb.append(" </SOAP-ENV:Fault> ");
		sb.append("  </SOAP-ENV:Body>");
		sb.append("</SOAP-ENV:Envelope>");
		
		return sb.toString();
	}
}
